Create broker
curl --request POST \
--url https://api.example.com/brokerage-firms/{brokerageFirmId}/brokers \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"brokerUserId": "<string>",
"brokerRole": "<string>"
}
'import requests
url = "https://api.example.com/brokerage-firms/{brokerageFirmId}/brokers"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"brokerUserId": "<string>",
"brokerRole": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
brokerUserId: '<string>',
brokerRole: '<string>'
})
};
fetch('https://api.example.com/brokerage-firms/{brokerageFirmId}/brokers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}brokerage-firms
Create broker
Creates a broker within the specified brokerage firm. You must provide the target brokerage firm id in the path and the broker details in the request body. The caller must have sufficient permissions within the brokerage firm.
POST
/
brokerage-firms
/
{brokerageFirmId}
/
brokers
Create broker
Path Parameters
Brokerage firm id
Body
application/json
Broker payload including the target user id and optional profile/role fields
Response
Broker created successfully.
The response is of type object.
Was this page helpful?
⌘I

